version: "3.8"

volumes:
  ltdv-prod-stats:
    name: ltdv-prod-stats
  ltdv-prod-logs:
    name: ltdv-prod-logs

services:
  ltdv-prod:
    container_name: ${PROD_CONTAINER_NAME}
    build: .
    restart: always
    labels:
      traefik.enable: "true"
      traefik.http.routers.ltdv-prod.rule: "Host(`${PROD_URL}`)"
      traefik.http.routers.ltdv-prod.entrypoints: "web"
    volumes:
      - ltdv-prod-logs:/var/log/nginx
      - ltdv-prod-stats:/usr/share/nginx/html/stats
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro

  ltdv-prod-logs:
    container_name: ltdv-prod-logs
    image: registry.weko.io/goaccess
    restart: always
    depends_on:
      - ltdv-prod
    volumes:
      - ltdv-prod-logs:/var/log/nginx
      - ltdv-prod-stats:/usr/share/nginx/html/stats
      - /etc/timezone:/etc/timezone:ro
      - /etc/localtime:/etc/localtime:ro
    labels:
      com.centurylinklabs.watchtower.enable: true
